{% extends 'space/space.html.twig' %}

{% block title %}{% trans with {'organization': space.organizationName} %}Space for {organization}{% endtrans %}{% endblock %}

{% block body %}
    {{ parent() }}
    <div>
        {% if has_ongoing_jobs %}
            <div class="alert alert-warning" role="alert">
                {% trans %}Managing this space is temporarily disabled as there's ongoing work to apply previous modifications. Please come back in a few minutes.{% endtrans %}
            </div>
        {% endif %}
        {% if deleted_at %}
            <div class="alert alert-danger" role="alert">
                <p>{% trans with {'deleted_at': real_deletion_date} %}This space is scheduled to be deleted on {deleted_at, date}.{% endtrans %}</p>
                <a href="{{ path('pre-reactivate') }}"
                   class="btn btn-success">{% trans %}Reactivate my space{% endtrans %}</a>
            </div>
        {% endif %}

        <h1>{% trans %}Your frama.space{% endtrans %}</h1>
        <p><a href="https://{{ space.domain }}.frama.space" target="_blank" rel="noopener">https://{{ space.domain }}
                .frama.space
                <svg class="ml-1" style="height: 1rem" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
                    <!--! Font Awesome Pro 6.2.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. -->
                    <path d="M320 0c-17.7 0-32 14.3-32 32s14.3 32 32 32h82.7L201.4 265.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L448 109.3V192c0 17.7 14.3 32 32 32s32-14.3 32-32V32c0-17.7-14.3-32-32-32H320zM80 32C35.8 32 0 67.8 0 112V432c0 44.2 35.8 80 80 80H400c44.2 0 80-35.8 80-80V320c0-17.7-14.3-32-32-32s-32 14.3-32 32V432c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16V112c0-8.8 7.2-16 16-16H192c17.7 0 32-14.3 32-32s-14.3-32-32-32H80z"/>
                </svg>
            </a></p>

        <div class="mb-4 d-flex flex-wrap gap-2">
            {% if not has_ongoing_jobs and not deleted_at %}
                <a class="btn btn-primary" href="{{ path('manage_space') }}">{% trans %}Edit details{% endtrans %}</a>
            {% endif %}

            {% if not has_ongoing_jobs and not deleted_at %}
                <a class="btn btn-primary"
                   href="{{ path('space-import-users') }}">{% trans %}Import users{% endtrans %}</a>
            {% endif %}
        </div>

        <h2>{% trans %}Technical details{% endtrans %}</h2>
        <div class="card mb-4">
            <ul class="list-group list-group-flush">
                <li class="list-group-item">
                    <b>{% trans %}Space used{% endtrans %}</b><br>
                    {% if statistics %}
                        {% set used = storage_quota - statistics.nextcloud.system.freespace %}
                        {% set formatted_used = used | formatBytes %}
                        {% set formatted_storage_quota = storage_quota | formatBytes %}
                        {% set percentage_used = used * 100 / storage_quota %}
                        {% trans with {'used_storage': formatted_used, 'storage_quota': formatted_storage_quota, 'percentage_used': percentage_used | round } %}{used_storage} / {storage_quota} ({ percentage_used }%){% endtrans %}
                        <div class="progress" role="progressbar" aria-label="{% trans %}Storage percentage used progress{% endtrans %}" aria-valuenow="{{ percentage_used }}" aria-valuemin="0" aria-valuemax="100">
                            <div class="progress-bar {% if percentage_used > 90 %}bg-danger{% elseif percentage_used > 70 %}bg-warning text-dark{% endif %}" style="width: {{ percentage_used }}%">{{ percentage_used | round }}%</div>
                        </div>
                        <span class="text-body-secondary">{% trans %}Note: These numbers include the file versions and the files in the trashbin. We're currently working on having better numbers.{% endtrans %}</span>
                    {% else %}
                        <i>{% trans %}Unknown{% endtrans %}</i>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Number of users{% endtrans %}</b><br>
                    {% if statistics %}
                    {% trans with {'total_users': statistics.nextcloud.storage.num_users | format_number, 'active_users': statistics.activeUsers.last24hours | format_number } %}{total_users} ({active_users} active in the last 24 hours){% endtrans %}
                    {% else %}
                        <i>{% trans %}Unknown{% endtrans %}</i>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Number of files{% endtrans %}</b><br>
                    {% if statistics %}
                        {% trans with {'total_files': statistics.nextcloud.storage.num_files | format_number, 'total_shares': statistics.nextcloud.shares.num_shares | format_number } %}{total_files} ({total_shares} shares){% endtrans %}
                    {% else %}
                        <i>{% trans %}Unknown{% endtrans %}</i>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Office solution type{% endtrans %}</b><br>
                    {% if space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_COLLABORA_OFFICE') %}
                        {% trans %}Collabora Office{% endtrans %}
                    {% elseif space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_SHARED_COLLABORA_OFFICE') %}
                        {% trans %}Collabora Office (Shared){% endtrans %}
                    {% elseif space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_ONLYOFFICE') %}
                        {% trans %}OnlyOffice{% endtrans %}
                    {% elseif space.futureOfficeType == constant('App\\Entity\\Space::SPACE_OFFICE_TYPE_SHARED_ONLYOFFICE') %}
                        {% trans %}OnlyOffice (Shared){% endtrans %}
                    {% else %}
                        {% trans %}Unknown{% endtrans %}
                    {% endif %}
                </li>
            </ul>
        </div>

        <h2>{% trans %}Contact{% endtrans %}</h2>
        <div class="card border mb-4">
            <div class="card-header bg-transparent">
                {% if space.responsible == constant('App\\Entity\\Submission::SUBMISSION_RESPONSIBLE') %}
                    <b class="text-success">{% trans %}Responsible{% endtrans %}</b>
                {% elseif space.responsible == constant('App\\Entity\\Submission::SUBMISSION_NOT_RESPONSIBLE') %}
                    <b class="text-danger">{% trans %}Not responsible{% endtrans %}</b>
                {% elseif space.responsible == constant('App\\Entity\\Submission::SUBMISSION_RESPONSIBLE_UNKNOWN') %}
                    <b class="text-warning">{% trans %}Responsibility unknown{% endtrans %}</b>
                {% endif %}
            </div>
            <div class="card-body">
                <h5 class="card-title">{{ space.contactName }}</h5>
                <p class="card-text">{{ space.contactEmail }}</p>
            </div>
        </div>

        <h2>{% trans %}Organization details{% endtrans %}</h2>
        <div class="card mb-4">
            <ul class="list-group list-group-flush">
                <li class="list-group-item">
                    <b>{% trans %}Name of the organization{% endtrans %}</b><br/>
                    {{ space.organizationName }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Organization type{% endtrans %}</b><br/>
                    {% if space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_COLLECTIVE') %}
                        <span class="badge rounded-pill text-bg-success">{% trans %}Collective{% endtrans %}</span>
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_ASSOCIATION_1901') %}
                        <span class="badge rounded-pill text-bg-success">{% trans %}Law 1901 Association{% endtrans %}</span>
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_ASSOCIATION_1907') %}
                        <span class="badge rounded-pill text-bg-success">{% trans %}Law 1907 Association{% endtrans %}</span>
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_SYNDICATE') %}
                        <span class="badge rounded-pill text-bg-success">{% trans %}Syndicate{% endtrans %}</span>
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_SCOP') %}{% trans %}SCOP{% endtrans %}
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_SCIC') %}{% trans %}SCIC{% endtrans %}
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_ENTREPRISE') %}{% trans %}Entreprise{% endtrans %}
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_PUBLIC') %}{% trans %}Public{% endtrans %}
                    {% elseif space.organisationType == constant('App\\Entity\\Submission::SUBMISSION_TYPE_OTHER') %}{% trans %}Other{% endtrans %}
                    {% else %}{{ space.organisationType }}
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Purpose or mission{% endtrans %}</b><br/>
                    {{ space.object }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Main actions{% endtrans %}</b><br/>
                    {{ space.mainActions }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Reasons for needing a Frama.space account{% endtrans %}</b><br/>
                    {{ space.reasons }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Topics{% endtrans %}</b><br/>
                    {% if space.topics | length > 0 %}
                        <ul>
                            {% for topic in space.topics %}
                                <li>{{ topic }}</li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Creation year{% endtrans %}</b><br/>
                    {{ space.creationYear }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Website{% endtrans %}</b><br/>
                    {% if space.website %}
                    <a href="{{ space.website }}" target="_blank" rel="noopener">{{ space.website }}</a>
                    {% endif %}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Country of the organisation{% endtrans %}</b><br/>
                    {% if space.country %}
                        {{ space.country | country_name }}
                    {% else %}
                        <i>{% trans %}Not set{% endtrans %}</i>
                    {% endif %}
                </li>
            </ul>
        </div>

        <h2>{% trans %}In numbers{% endtrans %}</h2>
        <div class="card mb-4">
            <ul class="list-group list-group-flush">
                <li class="list-group-item">
                    <b>{% trans %}Budget{% endtrans %}</b><br/>
                    {{ space.budget }}€
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Beneficiaries{% endtrans %}</b><br/>
                    {{ space.nbBeneficiaries }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Employees{% endtrans %}</b><br/>
                    {{ space.nbEmployees }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Members{% endtrans %}</b><br/>
                    {{ space.nbMembers }}
                </li>
                <li class="list-group-item">
                    <b>{% trans %}Accounts needed{% endtrans %}</b><br/>
                    {{ space.accountsNeeded }}
                </li>
            </ul>
        </div>

        <div class="mb-4 d-flex flex-wrap gap-2">
            <a href="{{ logout_path() }}" class="btn btn-outline-primary">{% trans %}Logout{% endtrans %}</a>

            {% if not has_ongoing_jobs and not deleted_at %}
                <a class="btn btn-danger" href="{{ path('pre-delete') }}">{% trans %}Delete space{% endtrans %}</a>
            {% endif %}
        </div>
    </div>
{% endblock %}